From 6286539ea19849074602d66342c6e028cd0f3d84 Mon Sep 17 00:00:00 2001
From: Jon Stacey <jon@jonsview.com>
Date: Wed, 7 Mar 2012 01:25:26 -0600
Subject: [PATCH 53/53] Audio: Core Audio: Initialize starting volume for
 analog devices.

---
 modules/audio_output/auhal.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

diff --git a/modules/audio_output/auhal.c b/modules/audio_output/auhal.c
index f7b4eb6..4e82d76 100644
--- a/modules/audio_output/auhal.c
+++ b/modules/audio_output/auhal.c
@@ -34,6 +34,7 @@
 #include <vlc_plugin.h>
 #include <vlc_dialog.h>                   // dialog_Fatal
 #include <vlc_aout.h>                     // aout_*
+#include <vlc_aout_intf.h>
 
 #include <AudioUnit/AudioUnit.h>          // AudioUnit
 #include <CoreAudio/CoreAudio.h>      // AudioDeviceID
@@ -559,7 +560,12 @@ static int OpenAnalog( audio_output_t *p_aout )
     /* Do the last VLC aout setups */
     aout_FormatPrepare( &p_aout->format );
     aout_PacketInit( p_aout, &p_sys->packet, FRAMESIZE );
-    aout_VolumeHardInit (p_aout, VolumeSet);
+    aout_VolumeHardInit( p_aout, VolumeSet);
+
+    /* Initialize starting volume */
+    audio_volume_t volume = var_InheritInteger (p_aout, "volume");
+    bool mute = var_InheritBool (p_aout, "mute");
+    VolumeSet(p_aout, volume / (float)AOUT_VOLUME_DEFAULT, mute);
 
     /* set the IOproc callback */
     input.inputProc = (AURenderCallback) RenderCallbackAnalog;
-- 
1.7.7.5 (Apple Git-26)

